# Create embeddings - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/model-apis-llm-create-embeddings

# Create embeddings

POST

/

openai

/

v1

/

embeddings

Try it

Create embeddings

cURL

```
curl --request POST \
--url https://api.novita.ai/openai/v1/embeddings \
--header 'Authorization: &#x3C;authorization>' \
--header 'Content-Type: &#x3C;content-type>' \
--data '
{
"input": {},
"model": {},
"encoding_format": "&#x3C;string>"
}
'
```

```
import requestsurl = "https://api.novita.ai/openai/v1/embeddings"payload = { "input": {}, "model": {}, "encoding_format": "&#x3C;string>"}headers = { "Content-Type": "&#x3C;content-type>", "Authorization": "&#x3C;authorization>"}response = requests.post(url, json=payload, headers=headers)print(response.text)
```

```
const options = { method: 'POST', headers: {'Content-Type': '&#x3C;content-type>', Authorization: '&#x3C;authorization>'}, body: JSON.stringify({input: {}, model: {}, encoding_format: '&#x3C;string>'})};fetch('https://api.novita.ai/openai/v1/embeddings', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
```

```
&#x3C;?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://api.novita.ai/openai/v1/embeddings", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => json_encode([ 'input' => [ ], 'model' => [ ], 'encoding_format' => '&#x3C;string>' ]), CURLOPT_HTTPHEADER => [ "Authorization: &#x3C;authorization>", "Content-Type: &#x3C;content-type>" ],]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
```

```
package mainimport (	"fmt"	"strings"	"net/http"	"io")func main() {	url := "https://api.novita.ai/openai/v1/embeddings"	payload := strings.NewReader("{\n \"input\": {},\n \"model\": {},\n \"encoding_format\": \"&#x3C;string>\"\n}")	req, _ := http.NewRequest("POST", url, payload)	req.Header.Add("Content-Type", "&#x3C;content-type>")	req.Header.Add("Authorization", "&#x3C;authorization>")	res, _ := http.DefaultClient.Do(req)	defer res.Body.Close()	body, _ := io.ReadAll(res.Body)	fmt.Println(string(body))}
```

```
HttpResponse&#x3C;String> response = Unirest.post("https://api.novita.ai/openai/v1/embeddings") .header("Content-Type", "&#x3C;content-type>") .header("Authorization", "&#x3C;authorization>") .body("{\n \"input\": {},\n \"model\": {},\n \"encoding_format\": \"&#x3C;string>\"\n}") .asString();
```

```
require 'uri'require 'net/http'url = URI("https://api.novita.ai/openai/v1/embeddings")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Post.new(url)request["Content-Type"] = '&#x3C;content-type>'request["Authorization"] = '&#x3C;authorization>'request.body = "{\n \"input\": {},\n \"model\": {},\n \"encoding_format\": \"&#x3C;string>\"\n}"response = http.request(request)puts response.read_body
```

200

```
{
"object": "&#x3C;string>",
"data": [
{
"index": 123,
"embedding": [
123
],
"object": "&#x3C;string>"
}
],
"model": "&#x3C;string>",
"usage": {
"prompt_tokens": 123,
"total_tokens": 123
}
}
```

Creates an embedding vector representing the input text.

##

[​](#request-headers)

Request Headers

[​](#param-content-type)

Content-Type

string

required

Enum: `application/json`

[​](#param-authorization)

Authorization

string

required

Bearer authentication format, for example: Bearer {{API Key}}.

##

[​](#request-body)

Request Body

[​](#param-input)

input

string | arrary

required

Input text to embed, encoded as a string or array of tokens. To embed multiple inputs in a single request, pass an array of strings or array of token arrays. The input must not exceed the max input tokens for the model (8192 tokens for text-embedding-ada-002), cannot be an empty string, and any array must be 2048 dimensions or less.

[​](#param-model)

model

enum<string>

required

ID of the model to use. Enum: `baai/bge-m3`.

[​](#param-encoding-format)

encoding_format

string

The format to return the embeddings in. Can be either float or base64.

##

[​](#response)

Response

[​](#param-object)

object

string

required

Fixed as list

[​](#param-data)

data

object[]

required

List of embeddings vectors generated by the model.

Hide properties

[​](#param-index)

index

integer

required

The index of the embedding vector.

[​](#param-embedding)

embedding

number[]

required

The embedding vector.

[​](#param-object-1)

object

string

required

Fixed as embedding

[​](#param-model-1)

model

string

required

The ID of the model used.

[​](#param-usage)

usage

object

required

Usage information.

Hide properties

[​](#param-prompt-tokens)

prompt_tokens

integer

required

The number of prompt tokens.

[​](#param-total-tokens)

total_tokens

integer

required

The number of total tokens.

Last modified on July 3, 2026
